<bugID>1039476<Summary>Move the "remove" button and the validation status within the lense UI</Summary><Description>The toolbar is too easy to miss. And I think we should have less toolbars.</Description></bugID>